Summary:        Pure-Python MySQL client library
Name:           python-PyMySQL
Version:        1.0.2
Release:        3%{?dist}
License:        MIT
URL:            https://pypi.python.org/pypi/PyMySQL/
Source0:        https://files.pythonhosted.org/packages/source/P/PyMySQL/PyMySQL-%{version}.tar.gz

BuildArch:      noarch

%description
This package provides a pure-Python MySQL client library. Its goal is to be a drop-in replacement 
for MySQLdb and work on CPython, PyPy, IronPython and Jython.


%package -n     python3-PyMySQL
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cryptography
BuildRequires:  python3-pynacl
Provides:       python3-PyMySQL = %{version}-%{release}

%description -n python3-PyMySQL
This package provides a pure-Python MySQL client library. Its goal is to be a drop-in replacement 
for MySQLdb and work on CPython, PyPy, IronPython and Jython.


%prep
%autosetup -n PyMySQL-%{version}
rm -rf PyMySQL.egg-info
rm -rf tests


%build
%py3_build


%install
%py3_install


%check
# These tests cannot be run on koji because they need to run mysqldb.


%files -n python3-PyMySQL
%license LICENSE
%doc README.rst
%{python3_sitelib}/PyMySQL-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/pymysql/

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 Wang Guodong <gordonwwang@tencent.com> - 1.0.2-1
- package init.
